.accordion-1__details {
    margin-top: 14px;
    padding: 4px;
}
  
.accordion-1__summary {
    cursor: pointer;
    font-size: var(--font-size-heading-h3);
    position: relative;
    display: flex;
    justify-content: space-between;
    padding-right: 30px;
    min-height: 36px;
    color: var(--global-color-alt1-grey);
    font-size: var(--font-size-content-big);
    line-height: 1.7;
    border-bottom: solid var(--border-width-thin) var(--border-color-gray);
    cursor: pointer;
    font-family: 'heading','Verdana',sans-serif;
    content-visibility: auto;
    contain-intrinsic-size: 60px;
}

.accordion-1__summary svg {
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	width: 14px;
	height: 100%;
	transition: transform var(--transition-segs-medium) ease-in-out 0s;
	pointer-events: none;
}

[open] .accordion-1__summary svg {
    transition: .3 ease-out;
    transform: rotate(180deg)
}

@media (max-width: 768px) {
    .accordion-1__summary {
        line-height: 1.3rem;
    }

    .bk-acc-wrapper-fill-color-ocre-light {
        margin-inline: calc(var(--global-wrapper-horizontal-padding) * -1);
    }
}

.accordion-1__summary::after {
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	width: 14px;
	height: 100%;
	transition: transform var(--transition-segs-medium) ease-in-out 0s;
	pointer-events: none;
}

.accordion-1__summary::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 14px;
    height: 100%;
    background: url(/themes/custom/iberotheme/images/icons/svg/chevron-down-747679) no-repeat center / 14px 22px;
    transition: transform var(--transition-segs-medium) ease-in-out 0s;
    pointer-events: none;
}
  
.accordion-1__summary:focus {
    outline: 2px solid #007bff;
    outline-offset: 2px;
}
  
.accordion-1__content {
    padding-block: 28px;
    height: 0;
    overflow: hidden;
    box-sizing: content-box;
    transition: height .4s;
    interpolate-size:allow-keywords;
	overflow: hidden;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	align-items: stretch;
}

.accordion-1__details[open] .accordion-1__summary {
    color: var(--global-color-black);
    border-color: var(--global-color-black);
    border-width: 2px;
}

.accordion-1__details[open] .accordion-1__summary::after {
    transform: rotate(180deg);
    filter: brightness(0);
}

.accordion-1__details[open] .accordion-1__content {
    height: auto;
}

@supports not (interpolate-size: allow-keywords) {
  .accordion-1__details[open] .accordion-1__content {
    animation: slideDown 0.4s ease-in-out forwards;
  }

  .accordion-1__details:not([open]) .accordion-1__content {
    animation: slideUp 0.4s ease-in-out forwards;
  }
}

/* Keyframes */
@keyframes slideDown {
    from {
      max-height: 0;
    }
    to {
      max-height: 820px; /* Ajusta según el contenido */
    }
}
  
@keyframes slideUp {
    from {
      max-height: 820px; /* Igual al de slideDown */
    }
    to {
      max-height: 0;
    }
}

.bk-acc-main {
	min-width: 100%;
}

.bk-acc-wrapper-fill-color-ocre-light {
	background-color: var(--global-color-ocre-light);
}

.bk-acc-wrapper-fill-color-ocre-light, .bk-acc-wrapper-fill-color-grey-light {
	padding: 0 24px;
}

.bk-acc-wrapper-padding-top-true {
	padding-top: 20px;
}

.bk-acc-main:last-child .bk-acc-wrapper-fill-color-ocre-light {
    padding-bottom: 30px;
}



.block-inline-blocktitulo-section {
  & + [class*="block-inline-blockaccordion"] {
    margin-top: 30px;
  }
}

.layout--onecol {
    .accordion-1__details {
        margin-top: 0;
        padding: 0;
    }

    .block-inline-blocktitulo-section + [class*="block-inline-blockaccordion"] .accordion-1__details {
        border-top: solid 2px var(--border-color-gray);
    }

    [class*="block-inline-blockaccordion"]:last-child {
        padding-bottom: 40px;
    }

    .accordion-1__summary {
        display: flex;
        align-items: center;
        padding-block: 12px;
        min-height: 50px;
        line-height: 1.5rem;
        color: var(--global-color-grey-dark);
        border-bottom-width: 2px;
    }
}

.lo-gdc-header + .lo-gdc-body:has(details) {
	margin-top: -30px;
}

/* No borrar, hay algunos acordeones que dependen de esta clase. */
.bk-acc-main {
	min-width: 100%;
}
